#!/bin/bash

# make sure this was run as root, so we don't get asked for
# passwords during execution
if [ $UID -ne 0 ] ; then
    echo "Need to be root; trying sudo"
    exec sudo $0 "$@"
fi

. config || exit 0

set -e

rm -f ${OUTPUT}
./cleanup.sh
./extractiso.sh
./customize.sh
./buildiso.sh
chown ${USER} ${ORIG} ${OUTPUT}
